Name:           perl-HTML-Laundry
Version:        0.0103
Release:        1%{?dist}
Summary:        Perl module to clean HTML by the piece
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-Laundry/
Source0:        file:///home/dave/cpan/authors/id/S/ST/STEVECOOK/HTML-Laundry-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(URI::Split)
Requires:       perl(HTML::Entities)
Requires:       perl(HTML::Parser)
Requires:       perl(Test::Exception)
Requires:       perl(Test::More)
Requires:       perl(URI)
Requires:       perl(URI::Escape)
Requires:       perl(URI::Split)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
HTML::Laundry is an HTML::Parser-based HTML normalizer, meant for small
pieces of HTML, such as user comments, Atom feed entries, and the like,
rather than full pages. Laundry takes these and returns clean, sanitary,
UTF-8-based XHTML. The parser's behavior may be changed with callbacks,
and the whitelist of acceptable elements and attributes may be updated
on the fly.

%prep
%setup -q -n HTML-Laundry-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README.mkdn
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Mar 03 2010 Dave Cross <dave@mag-sol.com> 0.0103-1
- Specfile autogenerated by cpanspec 1.78.
